Skip to main content

List Instalment Plans

The purpose of this endpoint is to deliver Banking Instalment Plans for a list of accounts authorised for a specific Principal (principalId). The list of accounts to fetch plans for is supplied in the request body, allowing HaaS to act as the gatekeeper of authorised accounts and to retrieve all plans across the supplied accounts in a single call. Filtering parameters from the upstream Consumer Data Standards Banking Instalment Plan endpoints (plan-status, page, page-size) are mirrored through to the Data Adapter via the request body.

This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoints:

Data Adapter API​

List Instalment Plans​

Loading...

Β 


Consumer Data Standards Associations​

Get Instalment Plans Bulk​

Loading...

CDR Error Mapping​

TitleStatus CodeAdapter URN - Error CodeDetailCDR Status CodeCDR URN - Error Code
Invalid Field400urn:au-cds:error:cds-all:Field/Invalid

Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints.
Invalid format supplied for accountIds.

400urn:au-cds:error:cds-all:Field/Invalid
Invalid Header400urn:au-cds:error:cds-all:Header/Invalid

Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.
x-fapi-interaction-id - If supplied, it must be a Universal Unique Identifier (UUID) and compliant with RFC4122. If not supplied, a compliant value is autogenerated.
Invalid format supplied for
x-fapi-interaction-id.

400urn:au-cds:error:cds-all:Header/Invalid
Expected Error400urn:au-cds:error:cds-all:GeneralError/ExpectedThis status code indicates that the Expected Error has encountered.400urn:au-cds:error:cds-all:GeneralError/Expected
Invalid PageSize400urn:au-cds:error:cds-all:Field/InvalidPageSizeThis status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.400urn:au-cds:error:cds-all:Field/InvalidPageSize
Invalid Resource404urn:au-cds:error:cds-all:Resource/InvalidThe requested resource identifier is permanently unavailable.500urn:au-cds:error:cds-all:GeneralError/Unexpected
Invalid Page422urn:au-cds:error:cds-all:Field/InvalidPageThis status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10.422urn:au-cds:error:cds-all:Field/InvalidPage
Legal Block451urn:dio:error:cds-all:Resource/LegalBlockThis status code indicates that the server is denying access to the resource as a consequence of a legal demand.422urn:au-cds:error:cds-all:Resource/Unavailable
Ineligible Block451urn:dio:error:cds-all:Resource/IneligibleBlockThis status code indicates that the Customer is ineligible for CDR Data Sharing.422urn:au-cds:error:cds-all:Resource/Invalid
Call Center Block451urn:dio:error:cds-all:Resource/CallCenterBlockThis status code indicates that the consumer should call the Call Center for further information.422urn:au-cds:error:cds-all:Resource/Invalid

Get Instalment Plans for Account​

Loading...

CDR Error Mapping​

TitleStatus CodeAdapter URN - Error CodeDetailCDR Status CodeCDR URN - Error Code
Invalid Field400urn:au-cds:error:cds-all:Field/Invalid

Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints.
Invalid format supplied for accountIds.

400urn:au-cds:error:cds-all:Field/Invalid
Invalid Header400urn:au-cds:error:cds-all:Header/Invalid

Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.
x-fapi-interaction-id - If supplied, it must be a Universal Unique Identifier (UUID) and compliant with RFC4122. If not supplied, a compliant value is autogenerated.
Invalid format supplied for
x-fapi-interaction-id.

400urn:au-cds:error:cds-all:Header/Invalid
Expected Error400urn:au-cds:error:cds-all:GeneralError/ExpectedThis status code indicates that the Expected Error has encountered.400urn:au-cds:error:cds-all:GeneralError/Expected
Invalid PageSize400urn:au-cds:error:cds-all:Field/InvalidPageSizeThis status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards.400urn:au-cds:error:cds-all:Field/InvalidPageSize
Invalid Resource404urn:au-cds:error:cds-all:Resource/InvalidThe requested resource identifier is permanently unavailable.500urn:au-cds:error:cds-all:GeneralError/Unexpected
Invalid Page422urn:au-cds:error:cds-all:Field/InvalidPageThis status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10.422urn:au-cds:error:cds-all:Field/InvalidPage
Legal Block451urn:dio:error:cds-all:Resource/LegalBlockThis status code indicates that the server is denying access to the resource as a consequence of a legal demand.422urn:au-cds:error:cds-all:Resource/Unavailable
Ineligible Block451urn:dio:error:cds-all:Resource/IneligibleBlockThis status code indicates that the Customer is ineligible for CDR Data Sharing.422urn:au-cds:error:cds-all:Resource/Invalid
Call Center Block451urn:dio:error:cds-all:Resource/CallCenterBlockThis status code indicates that the consumer should call the Call Center for further information.422urn:au-cds:error:cds-all:Resource/Invalid

Data Adapter version to CDR version mapping​

Data Adapter VersionCDR VersionTransformation Notes
ListBankingInstalmentPlans V1Get Instalment Plans Bulk V1This is a 1:1 mapping. No transformation required.
ListBankingInstalmentPlans V1Get Instalment Plans for Account V1This is a 1:1 mapping. No transformation required.

Β 


Supplemental Fields​

No supplemental fields are specified.

Endpoint Specific Guidance​

  • This endpoint was introduced in HaaS Data Adapter API 2.4.0.
  • A single Data Adapter operation (listBankingInstalmentPlans) serves both the Consumer Data Standards Get Instalment Plans Bulk and Get Instalment Plans for Account endpoints. HaaS acts as the gatekeeper of authorised accounts and supplies the account list in the request body, allowing all plans across the supplied accounts to be retrieved in a single call.
  • The upstream Consumer Data Standards filtering parameters (plan-status, page, page-size) are mirrored through to the Data Adapter via the request body. plan-status accepts ACTIVE, INACTIVE or ALL and defaults to ACTIVE.
  • Response data is ordered according to plan creationDate in descending order.
Note

Customers who do not have instalment products are not required to implement this endpoint and no action is required of them.